Subject: Re: bug#64270: 30.0.50; Font update for no toolkit menu

From: Robert Pluim <[email-masked]>
Date: Tue, 27 Jun 2023 10:47:00 +0200

>>>>> On Tue, 27 Jun 2023 10:37:30 +0200, Robert Pluim <[email-masked]> said:

>>>>> On Tue, 27 Jun 2023 15:48:29 +0800, Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:
    >>> Ah then I have a bug in Emacs' XLFD generation on my system.  Here is
    >>> what I get with 'C-u C-x =':
    >>> 
    >>> ftcrhb:-Misc-Fixed-regular-normal-normal-*-18-*-*-*-c-90-iso10646-1 (#x59)

    Robert>     Po Lu> ``XLFD'' strings generated by Emacs aren't guaranteed to be
    Robert>     Po Lu> X11-compatible; Emacs is only designed to read them.  I don't remember
    Robert>     Po Lu> whether or not this is intentional, so you will have to ask Kenichi
    Robert>     Po Lu> Handa, but I have a sinking suspicion that he is not around anymore...

    Robert> For at least 15 years prior to Larsʼ changes to support 'medium'
    Robert> fonts, that would have returned

    Robert> ftcrhb:-Misc-Fixed-medium-normal-normal-*-18-*-*-*-c-90-iso10646-1 (#x59)

I mean:

ftcrhb:-Misc-Fixed-normal-normal-normal-*-18-*-*-*-c-90-iso10646-1 (#x59)

Robert
--